api reference
POST
/v1/numbers/quotes

Header Parameters

authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/numbers/quotes" \  -H "Content-Type: application/json" \  -d '{    "country_code": "st",    "capabilities": [      "voice"    ]  }'
{  "offers": [    {      "e164": "string",      "country_code": "string",      "number_type": "local",      "capabilities": [        "string"      ],      "monthly_cents": 1,      "setup_cents": 0,      "currency": "USD",      "readiness": "ready",      "regulatory_friction": "none",      "requirements": [        "string"      ],      "locality": "string",      "region": "string",      "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",      "subject_types": [        "person"      ],      "verifications": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "state": "string",          "subject_type": "person",          "subject_name": "string",          "held_cents": 0        }      ],      "verification": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "state": "string",        "subject_type": "person",        "subject_name": "string",        "held_cents": 0      },      "by_request": false,      "paperwork": [        {          "key": "string",          "label": "string"        }      ]    }  ],  "recommended_quote_id": "329a229f-763d-4b54-b9e9-2f6ebab1b499",  "incomplete": true,  "expires_at": "2019-08-24T14:15:22Z"}